Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.plexus
Class PlexusObjectFactory

    java.lang.Object
      com.opensymphony.xwork2.ObjectFactory
          org.apache.struts2.plexus.PlexusObjectFactory

All Implemented Interfaces:
  java.io.Serializable

    public class PlexusObjectFactory

extends com.opensymphony.xwork2.ObjectFactory

Plexus integartion. You need three optional files: plexus-request.xml, plexus-session.xml, and plexus-application.xml.

The syntax of these files is:

     <plexus>
     <components>
      <component>
          <role>com.acme.MyBean</role>
          <implementation>com.acme.MyBean|com.acme.MyBeanImpl</implementation>
          <componentComposer>field|setter|?</componentComposer>
          <requirements>
              <requirement>
                  <role>com.acme.MyOtherBean</role>
              </requirement>
          </requirements>
          <configuration>
              <foo>123</foo>
              <bar>hello, world</bar>
          </configuration>
          </component>
      </components>
     </plexus>

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

Constructor Summary
`PlexusObjectFactory()`

Method Summary
`java.lang.Object` | `buildAction(java.lang.String actionName, java.lang.String namespace, com.opensymphony.xwork2.config.entities.ActionConfig config, java.util.Map extraContext)`
`java.lang.Object` | `buildBean(java.lang.Class clazz, java.util.Map extraContext)`
`com.opensymphony.xwork2.interceptor.Interceptor` | `buildInterceptor(com.opensymphony.xwork2.config.entities.InterceptorConfig interceptorConfig, java.util.Map interceptorRefParams)`
`com.opensymphony.xwork2.Result` | `buildResult(com.opensymphony.xwork2.config.entities.ResultConfig resultConfig, java.util.Map extraContext)`
`com.opensymphony.xwork2.validator.Validator` | `buildValidator(java.lang.String className, java.util.Map params, java.util.Map extraContext)`
`java.lang.Class` | `getClassInstance(java.lang.String className)`
`void` | `setServletConfig(javax.servlet.ServletContext servletContext)`

Methods inherited from class com.opensymphony.xwork2.ObjectFactory
`buildBean, buildBean, getObjectFactory, injectInternalBeans, isNoArgConstructorRequired, setClassLoader, setContainer, setObjectFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlexusObjectFactory

    public PlexusObjectFactory()

Method Detail

### setServletConfig

    public void setServletConfig(javax.servlet.ServletContext servletContext)

### buildAction

    public java.lang.Object buildAction(java.lang.String actionName,
                                        java.lang.String namespace,
                                        com.opensymphony.xwork2.config.entities.ActionConfig config,
                                        java.util.Map extraContext)
                                 throws java.lang.Exception

  Overrides:
    `buildAction` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `java.lang.Exception`

### buildInterceptor

    public com.opensymphony.xwork2.interceptor.Interceptor buildInterceptor(com.opensymphony.xwork2.config.entities.InterceptorConfig interceptorConfig,
                                                                            java.util.Map interceptorRefParams)
                                                                     throws com.opensymphony.xwork2.config.ConfigurationException

  Overrides:
    `buildInterceptor` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `com.opensymphony.xwork2.config.ConfigurationException`

### buildResult

    public com.opensymphony.xwork2.Result buildResult(com.opensymphony.xwork2.config.entities.ResultConfig resultConfig,
                                                      java.util.Map extraContext)
                                               throws java.lang.Exception

  Overrides:
    `buildResult` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `java.lang.Exception`

### buildValidator

    public com.opensymphony.xwork2.validator.Validator buildValidator(java.lang.String className,
                                                                      java.util.Map params,
                                                                      java.util.Map extraContext)
                                                               throws java.lang.Exception

  Overrides:
    `buildValidator` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `java.lang.Exception`

### buildBean

    public java.lang.Object buildBean(java.lang.Class clazz,
                                      java.util.Map extraContext)
                               throws java.lang.Exception

  Overrides:
    `buildBean` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `java.lang.Exception`

### getClassInstance

    public java.lang.Class getClassInstance(java.lang.String className)
                                     throws java.lang.ClassNotFoundException

  Overrides:
    `getClassInstance` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `java.lang.ClassNotFoundException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.